## gdb 6.4-osso2

=== debian/changelog ===
gdb (6.4-osso2) unstable; urgency=low

  * Added libncurses5-dev, flex and bison to build-dependency.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 31 Mar 2006 16:39:09 +0300

gdb (6.4-osso1) unstable; urgency=low

  * Initial Release. Debianized completely from upstream sources to
    minimize build-dependencies.

 -- Kalle Valo <Kalle.Valo@nokia.com>  Fri, 31 Mar 2006 14:53:10 +0300
