=== debian/control ===
Source: gdb
Section: unknown
Priority: optional
Maintainer: Kalle Valo <Kalle.Valo@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libncurses5-dev, flex, bison
Standards-Version: 3.6.0

Package: gdb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The GNU Debugger for OSSO
 This is a (build-dependency) minimized GDB for OSSO usage.
