## gdb 6.8-3maemo2

=== debian/changelog ===
gdb (6.8-3maemo2) unstable; urgency=low

  * disabled the use of tex and pdftex

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 14 Jan 2009 13:40:02 +0200

gdb (6.8-3maemo1) unstable; urgency=low

  * minimized build-deps for maemo
  * disabled PS document creation

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 10 Dec 2008 18:40:02 +0200

gdb (6.8-3) unstable; urgency=low

  * Initialize some uninitialized variables (Closes: #479561).
  * Drop gdb-arm and insight conflict/replace.
  * Fix build on m68k.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 07 May 2008 08:40:02 -0400

gdb (6.8-2) unstable; urgency=low

  * Make removal of stamp files the first action of the clean target
    (from Justin Pryzby).
  * Correct array access in ia64 port to fix build failure.
  * Fix GDB_TARGET support (reported by Fathi BOUDRA).
  * Update gcj build dependencies (Closes: #477863, #479111).
  * Add a man page for gcore, from Nicolas Bonifas (Closes: #479066).

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 02 May 2008 18:28:37 -0400

gdb (6.8-1) unstable; urgency=low

  * New upstream release.
    - Remove patches merged upstream.
    - GDB automatically sets breakpoints in every copy of C++ templates
      and cloned constructors (Closes: #421540).
    - Improved support for debugging optimized code - local variables are
      displayed more often.
    - Automatically recognizes ObjC sources (Closes: #462882).
  * Backported patch to fix quoting for rbreak (Closes: #357319).
  * Adjust copyright file, quilt build dependency, and oldest changelog entry
    on lintian's advice.
  * Add libsim.a to libgdb-dev (Closes: #473295).

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 27 Mar 2008 18:13:39 -0400

gdb (6.7.1-2) unstable; urgency=low

  * Add patch from Ulrich Weigand to fix stepping over shared library
  functions on PowerPC (Closes: #432461).
  * Add libgdb-dev package for fp-ide (Closes: #458250).
  * Avoid gcc-4.3 uninitialized warnings (Closes: #455669).
  * Updated Standards-Version to 3.7.3
    - Correct Apps -> Applications in gdb.menu.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 02 Jan 2008 08:49:43 -0500

gdb (6.7.1-1) unstable; urgency=low

  * New upstream release.
    - Correct makeinfo version check (Closes: #453202).
  * Merge Ubuntu support for a gdb64 package (Closes: #254270).
  * Run the testsuite on all GNU/Linux platforms.
  * Remove old support for skipping thread tests.
  * Add an expat build dependency and add --with-expat.
  * Update copyright notice.
  * Do not freeze on division by zero (Closes: #414887).
  * Rewrite HPPA kernel offsets patch to support HPPA64.
  * Include Vladimir Prus's varobj fix for kdevelop (Closes: #443080).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 03 Dec 2007 10:12:27 -0500

gdb (6.6.dfsg.90.20070912-1) unstable; urgency=low

  * New upstream snapshot (pre-release for GDB 6.7).
    - Patches 10.selected-frame.patch, dwarf2-long-size.patch merged upstream.
    - Backports unwind-check-pc-regnum.patch, ia64-unwind-signedness.patch
      removed.
    - Patch 13.use-dynamic-readline.patch replaced by
      --with-system-readline.
    - Patch sim-destdir.patch unnecessary.
  * Disable gcj and gobjc build dependencies for armel (Closes: #441741).
  * Replace tetex-bin build dependency with texlive-base.
  * Include kernel offsets for HPPA.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 15 Sep 2007 13:40:34 -0400

gdb (6.6.dfsg-3) unstable; urgency=low

  * Correct signedness error in ia64-tdep.c (Closes: #423631) (again).

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 24 Aug 2007 15:48:11 -0400

gdb (6.6.dfsg-2) unstable; urgency=low

  * Check PC_REGNUM before using it (Closes: #423631).

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 23 Aug 2007 22:26:20 -0400

gdb (6.6.dfsg-1) unstable; urgency=low

  [ Matthias Klose ]
  * New upstream version.
    - Prints a newline after EOF (Closes: #233467).
  * sim-destdir.patch, gdbinit-ownership.patch, bfd-get-mtime-less.patch,
    pie-support.patch, thread-db-multiple-libraries.patch: Update.
  * thread-db-live-threads.patch, fork-context-switch.patch: Remove,
    applied upstream.

  [ Daniel Jacobowitz ]
  * Merge changes from Matthias Klose (thanks).
  * Refresh all patches.
  * Fix "corrupted DWARF expression" error (Closes: #405116).
  * Do not crash if loading libthread_db failed (Closes: #408402).
  * Initial support for building cross-GDB packages, based on the work of
    Raphael Bossek and Kazuhiro Inaoka (Closes: #313340, #343419, #373927).
  * Change priority to optional (since ftpmaster did).

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 27 Jan 2007 21:59:06 -0500

gdb (6.5.dfsg-2) unstable; urgency=low

  * Backport a patch to fix GDB segfaults on threaded programs.
  * Backport a patch to fix errors on fork/vfork in threaded programs.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 16 Nov 2006 11:06:50 -0500

gdb (6.5.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #386586).
  * Update Standards-Version to 3.7.2 (no changes required).
  * Mention --args in the man page (Closes: #394150).
  * Mention gdbtui and -tui (Closes: #362795).
  * Correctly detect changed executables when rerunning.

 -- Daniel Jacobowitz <dan@debian.org>  Sun,  5 Nov 2006 18:33:48 -0500

gdb (6.4.90.dfsg-1) unstable; urgency=low

  * New upstream snapshot (GDB 6.5 prerelease).
    - BFD build fix for GCC 4.2 (Closes: #364124).
    - xstrvprintf error message corrected (Closes: #296483).
    - Rewritten printf command (Closes: #186037, #231162).
    - Build fix for hurd-i386 (Closes: #345108).
  * Split the GDB package into DFSG and non-DFSG portions (Closes: #212522).
    The documentation has been moved to the new gdb-doc package, which
    this one Suggests.
    - Remove packaging for info files.
    - Remove GFDL section from debian/copyright.
    - Update README.Debian.
  * Correct control.in to also use libreadline5-dev.
  * Update type-handling usage.

