=== debian/control ===
Source: gdb
Maintainer: Daniel Jacobowitz <dan@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.7.3
Build-Depends: autoconf, libtool, texinfo (>= 4.7-2.2), libncurses5-dev, libreadline4-dev, bison, gettext, debhelper (>= 4.9.0), cdbs (>= 0.4.17), quilt (>= 0.30), flex | flex-old, libexpat1-dev

Package: gdb
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
Suggests: gdb-doc
Description: The GNU Debugger
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, it works for C, C++, Fortran,
 Modula 2 and Java programs. A must-have for any serious
 programmer.

Package: libgdb-dev
Architecture: any
Section: libdevel
Priority: extra
Description: The GNU Debugger (libgdb.a)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, it works for C, C++, Fortran
 Modula 2 and Java programs. A must-have for any serious
 programmer.
 .
 This package contains libgdb.a, the bulk of GDB as a linkable
 library.  It is provided for an IDE which links to libgdb.a.  Please
 do not use libgdb.a for new projects.
