## gdb 6.8.50.20090417-0maemo2%2b0m5

=== debian/changelog ===
gdb (6.8.50.20090417-0maemo2+0m5) experimental; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 24 Jun 2009 16:46:00 +0300

gdb (6.8.50.20090417-0maemo2) experimental; urgency=low

  * Disabled building gdbtui to save some space.

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 24 Jun 2009 16:35:57 +0300

gdb (6.8.50.20090417-0maemo1+0m5) experimental; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 21 Apr 2009 12:20:57 +0300

gdb (6.8.50.20090417-0maemo1) experimental; urgency=low

  * CVS snapshot from 2009-04-17
  * Debianization from Debian experimental
  * Disabled python support
  * Fixed ARM CPSR register index in gdb/arm-tdep.h
  * Fixes: NB#10979
  * Fixes: NB#95835
  * Fixes: NB#110688

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 20 Apr 2009 15:24:56 +0300

gdb (6.8.50.20090116.python-1+0maemo1+0m5) experimental; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 03 Apr 2009 11:32:56 +0300

gdb (6.8.50.20090116.python-1+0maemo1) experimental; urgency=low

  * Integrated for Fremantle
  * Does not build python support or 64 bit binaries
  * Fixes: NB#95835

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 03 Apr 2009 11:24:41 +0300

gdb (6.8.50.20090116.python-1) experimental; urgency=low

  * New snapshot from archer-tromey-python branch.
  * Make sure that Python is enabled for the main gdb package.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 12 Dec 2008 11:30:41 -0500

gdb (6.8.50.20081210.python-1) experimental; urgency=low

  * New snapshot from archer-tromey-python branch.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 10 Dec 2008 21:36:26 -0500

gdb (6.8.50.20081120.python-1) experimental; urgency=low

  * Package archer-tromey-python branch for experimental.  Highlights since
    GDB 6.8 (for more, see the NEWS file):
    - Python scripting support.  This is experimental; the interfaces
      are subject to change.  Some example scripts are packaged, including
      STL pretty-printers for libstdc++.
    - Improved preprocessor macro support.
    - Non-stop debugging support (for 32-bit i386 only).  You can stop just
      one thread of interest while the others continue to run.
    - Improved tab completion, including C structure fields.
    - Faster remote debugging.
    - Compressed debug information support; the new "gold" linker can generate
      compressed debug sections.
    - New "find" command to search memory.
  * Build depend on zlib1g-dev and python-dev.
  * Removed bfd-get-mtime-less.patch, gdb-rbreak-quoting.patch,
  ia64-array-bound.patch, cp-support-uninit.patch,
  and m68k-nat-build-fix.patch, merged upstream.
  * Build depend on procps for testsuite cleanup calls to "kill".
  * Remove use of -p0 in series file (Closes: #484945).
	
 -- Daniel Jacobowitz <dan@debian.org>  Fri, 28 Nov 2008 14:28:47 -0500
