=== debian/rules ===
--- 
+++ 
@@ -101,14 +101,14 @@
 
 # We pass srcdir explicitly to avoid an extra '/.' at the end of it.  That
 # causes a harmless, but ugly, testsuite failure in maint.exp.
-EXTRA_FLAGS := --disable-gdbtk --disable-shared --enable-tui \
+EXTRA_FLAGS := --disable-gdbtk --disable-shared --disable-tui \
 	--srcdir=$(shell pwd) --with-system-readline \
 	$(arch_config_args) --build=$(DEB_HOST_GNU_TYPE)
 
 # Debian does not include 64-bit expat packages yet, so --with-expat
-# is here rather than in EXTRA_FLAGS.
+# is here rather than in EXTRA_FLAGS.  Similarly Python.
 DEB_CONFIGURE_EXTRA_FLAGS := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
-	--with-expat
+	--with-expat --without-python --disable-werror
 
 DEB_MAKE_BUILD_TARGET = all info
