## gdb 7.0.1

=== debian/changelog ===
gdb (7.0.1-2) unstable; urgency=low

  * Add Replaces to the new gdbserver package (Closes: #567925, #568018).
  * Add patch to fix FreeBSD build (Closes: #561924).

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 02 Feb 2010 14:59:41 -0500

gdb (7.0.1-1) unstable; urgency=low

  * New upstream release.
  * Avoid hardcoded "debian" in the binary using lsb_release (from
    Matthias Klose).
  * Use DEB_MAKE_ENVVARS for 64-bit builds also (from Matthias Klose).
  * Build depend on gcj-jdk | gcj (from Matthias Klose).
  * Add gdb-source package (Closes: #550755).
  * Move gdbserver into its own package (Closes: #562651).
  * Add gdb-minimal package (Closes: #560786).
  * Update to Standards-Version: 3.8.3.
  * Package /usr/share/gdb.
  * Switch to 3.0 (quilt) source package format.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 30 Jan 2010 15:16:35 -0500

gdb (7.0-1) unstable; urgency=low

  * New upstream release (Closes: #550567).
  * Order options alphabetically in the man page (Closes: #540811).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 11 Oct 2009 17:16:26 -0400

gdb (6.8.50.20090628-4) unstable; urgency=low

  * Mention online documentation in README.Debian (Closes: #537795).
  * Fix GNU/Hurd support (Closes: #539351).
  * Depend on libreadline-dev and lib64readline6-dev.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 14 Sep 2009 16:17:50 -0400

gdb (6.8.50.20090628-3) unstable; urgency=low

  * Remove stray "set -x" from gdbtui script.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 13 Jul 2009 16:49:41 -0400

gdb (6.8.50.20090628-2) unstable; urgency=low

  * Re-enable gobjc testing on armel (Closes: #497161).
  * Do not install an extra copy of the GDB man page in cross-debugger
    packages (Closes: #492846).
  * Add i386 %ebp backtrace patch from Michael Matz (Closes: #498030).
    This improves backtraces on 32-bit programs with missing debug info
    for some functions on the stack.
  * Replace the separate gdbtui binary with a shell script (suggested
    by Matthias Klose).
  * Support parallel=<n> in DEB_BUILD_OPTIONS (from Matthias Klose).
  * Support nocheck in DEB_BUILD_OPTIONS (from Matthias Klose).
  * Run the testsuite on linux-gnueabi and linux-gnulp systems also
    (from Matthias Klose).
  * Package the DejaGNU .sum file instead of part of the build log.
    It's bigger, but more useful (especially with parallel=).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 06 Jul 2009 14:52:31 -0400

gdb (6.8.50.20090628-1) unstable; urgency=low

  * New snapshot from trunk.  The experimental packages used the
    archer-tromey-python branch; the whole branch has not been merged
    to trunk, but significant portions of it have, and will be in GDB 7.
    So this includes some Python scripting support.  Other highlights
    since the last experimental package:
    - Reverse debugging commands.  With a remote target that supports
      reverse debugging, you can step backwards as easily as forwards.
    - Process record and replay, a native Linux implementation of
      reverse debugging.  Only 32-bit IA32 Linux is currently supported.
    - MIPS/Linux hardware watchpoint support.
    - Multi-byte and wide character set support, including wchar_t display.
    - Inlined function support, including in backtrace and step/next/finish.
    - Improved C++ template name parsing.
    - Non-stop debugging (some threads remain running while others
      are stopped in the debugger).  Only implemented so far for i386,
      x86-64, and powerpc.
    - A bug fix for discontiguous code, e.g. as found in the Linux kernel
      (Closes: #513816).
    - A build fix that affected SPARC (Closes: #512121).
    - A build fix for casts on hurd-i386 (Closes: #494839).
    - A fix for debugging multi-threaded programs that call exec, including
      Eclipse with the Sun JVM (Closes: #490046).
  * Removed thread-db-multiple-libraries.patch.  This let one GDB work with
    both LinuxThreads and NPTL, but no Debian platform has both now.
  * GDB now reads /etc/gdb/gdbinit at startup (Closes: #33187).
  * Ship required libraries (libbfd, libopcodes, and libiberty) in
    /usr/lib/gdb in the libgdb-dev package, in case binutils-dev's versions
    are not close enough (Closes: #509873).
  * Add dev package dependencies to libgdb-dev.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 05 Jul 2009 16:25:07 -0400

gdb (6.8.50.20090519.python-1) experimental; urgency=low

  * New snapshot from archer-tromey-python branch.
  * Update debhelper compatibility level to 7.
  * Update to Standards-Version: 3.8.1.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 04 Jun 2009 09:38:13 -0400
