=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
-DEB_BUILDDIR := $(shell pwd)/objdir
+ALL_BUILDDIR := $(shell pwd)/build
+
+DEB_BUILDDIR := $(ALL_BUILDDIR)/objdir
 DEB_DH_INSTALL_SOURCEDIR := $(shell pwd)/debian/tmp
 
 # This implements the .deb package creation using debhelper.
@@ -8,9 +10,6 @@
 
 # This implements building using a configure script and Makefile.
 include /usr/share/cdbs/1/class/autotools.mk
-
-# Quilt-based patches in debian/patches.
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 # Override CDBS's default CFLAGS, which also includes -Wall; gdb
 # does not handle -Wunused well with -Werror, but defaults to
@@ -60,10 +59,10 @@
   CROSS_FORCE = FORCE
 else
 ifneq (,$(filter $(DEB_HOST_ARCH),i386 powerpc sparc s390))
-  build64 = no
+  build64 = yes
   CC64 = gcc -m64
   CFLAGS64 = $(CFLAGS)
-  BUILDDIR64 = objdir64
+  BUILDDIR64 = $(ALL_BUILDDIR)/objdir64
   ifeq ($(DEB_HOST_ARCH),i386)
     HOST64 = x86_64-linux-gnu
   endif
@@ -81,7 +80,11 @@
 
 run_tests := yes
 
-ifneq ($(DEB_HOST_GNU_SYSTEM),linux-gnu)
+ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+  run_tests := no
+endif
+
+ifeq (,$(findstring linux, $(DEB_HOST_GNU_SYSTEM)))
   run_tests := no
 endif
 
@@ -94,6 +97,10 @@
 
   arch_config_args += --program-prefix=$(TP) \
     --target=$(DEB_TARGET_ALIAS) --with-sysroot=/usr/$(DEB_TARGET_ALIAS)
+else
+  # To avoid file conflicts, only enable the global gdbinit file for native
+  # debuggers.
+  arch_config_args += --with-system-gdbinit=/etc/gdb/gdbinit
 endif
 
 INSTALL = $(install)
@@ -101,48 +108,73 @@
 
 # We pass srcdir explicitly to avoid an extra '/.' at the end of it.  That
 # causes a harmless, but ugly, testsuite failure in maint.exp.
-EXTRA_FLAGS := --disable-gdbtk --disable-shared --disable-tui \
+EXTRA_FLAGS := --disable-gdbtk --disable-shared \
 	--srcdir=$(shell pwd) --with-system-readline \
 	$(arch_config_args) --build=$(DEB_HOST_GNU_TYPE)
 
 # Debian does not include 64-bit expat packages yet, so --with-expat
 # is here rather than in EXTRA_FLAGS.  Similarly Python.
 DEB_CONFIGURE_EXTRA_FLAGS := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
-	--with-expat --without-python --disable-werror
-
-DEB_MAKE_BUILD_TARGET = all info
+	--enable-tui --with-expat --with-python
+
+# 64-bit flags
+DEB_CONFIGURE_FLAGS_64 := --host=$(HOST64) $(EXTRA_FLAGS) \
+	--enable-tui
+
+# Minimal flags
+DEB_CONFIGURE_FLAGS_MIN := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
+	--disable-tui --without-expat --without-python
+
+# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
+COMMA = ,
+ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+endif
+
+DEB_MAKE_BUILD_TARGET = $(NJOBS) all
+distribution := $(shell lsb_release -is | tr A-Z a-z)
+
+BUILDDIRSOURCE := $(ALL_BUILDDIR)/gdb
+BUILDDIRMIN := $(ALL_BUILDDIR)/gdb-minimal
 
 post-patches::
 	if ! test -f gdb/version.in.backup; then \
 	  mv -f gdb/version.in gdb/version.in.backup; \
-	  sed -e 's/$$/-debian/' < gdb/version.in.backup > gdb/version.in; \
+	  sed -e 's/$$/-$(distribution)/' < gdb/version.in.backup > gdb/version.in; \
 	fi
 
 # This should probably be common-post-build-arch, but that runs during
 # install, under fakeroot, in CDBS 0.4.21.
 build/gdb$(TS):: check-stamp
-	$(MAKE) -C objdir/gdb/doc refcard.dvi refcard.ps
+	$(MAKE) -C $(DEB_BUILDDIR) info
+	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc refcard.dvi refcard.ps
 
 build/gdb64:: build64-stamp
-
 build64-stamp:
 	mkdir -p $(BUILDDIR64)
 	cd $(BUILDDIR64) && CC="$(CC64)" CFLAGS="$(CFLAGS64)" AR=ar \
-	  ../configure $(EXTRA_FLAGS) --host=$(HOST64)
-	cd $(BUILDDIR64) && $(MAKE)
+	  $(shell pwd)/configure $(DEB_CONFIGURE_FLAGS_64)
+	cd $(BUILDDIR64) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
+	touch $@
+
+build/gdb-minimal:: build-minimal-stamp
+build-minimal-stamp:
+	mkdir -p $(BUILDDIRMIN)
+	cd $(BUILDDIRMIN) && \
+	  $(shell pwd)/configure $(DEB_CONFIGURE_FLAGS_MIN)
+	cd $(BUILDDIRMIN) && $(DEB_MAKE_ENVVARS) $(MAKE) $(NJOBS)
 	touch $@
 
 check-stamp:
 ifeq ($(run_tests),yes)
 	-ulimit -c unlimited; \
-	$(MAKE) -C objdir/gdb check \
-		2>&1 | tee objdir/check.log
+	$(MAKE) $(NJOBS) -C $(DEB_BUILDDIR)/gdb check
 endif
 	touch $@
 
 clean::
 	rm -f check-stamp build64-stamp
-	rm -rf objdir $(BUILDDIR64)
+	rm -rf $(ALL_BUILDDIR)
 
 	if test -f gdb/version.in.backup; then \
 	  mv -f gdb/version.in.backup gdb/version.in; \
@@ -165,7 +197,7 @@
 	fi
 ifeq ($(run_tests),yes)
 	install -d debian/gdb$(TS)/usr/share/doc/gdb
-	install -m 644 objdir/check.log \
+	install -m 644 $(DEB_BUILDDIR)/gdb/testsuite/gdb.sum \
 		debian/gdb$(TS)/usr/share/doc/gdb/check.log
 endif
 
@@ -173,52 +205,49 @@
 	# Gcore is only useful for native GDB.
 	$(INSTALL) -m 755 -o root -g root \
 		gdb/gdb_gcore.sh debian/gdb$(TS)/usr/bin/$(TP)gcore
-endif
-
-ifeq ($(build64),yes)
+
+	# Only ship a global gdbinit for the native GDB.
+	install -d debian/gdb$(TS)/etc/gdb
+	install -m 644 debian/gdbinit debian/gdb$(TS)/etc/gdb/
+endif
+
+	rm -f debian/gdb$(TS)/usr/bin/$(TP)gdbtui
+	install -m 755 debian/gdbtui debian/gdb$(TS)/usr/bin/$(TP)gdbtui
+
+binary-post-install/gdb64 ::
 	install -d debian/gdb64/usr/bin
 	install -s -m 755 $(BUILDDIR64)/gdb/gdb debian/gdb64/usr/bin/gdb64
 	dh_link -pgdb64 usr/share/man/man1/gdb.1 usr/share/man/man1/gdb64.1
-endif
-
-	rm -rf debian/tmp/usr/include \
-		debian/tmp/usr/lib/lib*.* \
-		debian/tmp/usr/share/locale
-
-	# Remove the entire info directory; it only contains dummy files,
-	# not the real manuals.
-	rm -rf debian/tmp/usr/share/info
-
-ifneq ($(DEB_CROSS),yes)
-	# libgdb-dev is only required for native GDB.
-	install -d debian/tmp/usr/lib
-	install -m 644 $(DEB_BUILDDIR)/gdb/libgdb.a debian/tmp/usr/lib/
+
+binary-post-install/gdb-minimal ::
+	install -d debian/gdb-minimal/usr/bin
+	$(INSTALL) -m 755 -o root -g root \
+		$(BUILDDIRMIN)/gdb/gdb debian/gdb-minimal/usr/bin/gdb
+
+	$(INSTALL) -m 755 -o root -g root \
+		gdb/gdb_gcore.sh debian/gdb-minimal/usr/bin/gcore
+
+	# Only ship a global gdbinit for the native GDB.
+	install -d debian/gdb-minimal/etc/gdb
+	install -m 644 debian/gdbinit debian/gdb-minimal/etc/gdb/
+
+binary-post-install/libgdb-dev ::
+	install -m 644 $(DEB_BUILDDIR)/gdb/libgdb.a debian/libgdb-dev/usr/lib/
 	if test -e $(DEB_BUILDDIR)/sim/*/libsim.a; then \
-	  install -m 644 $(DEB_BUILDDIR)/sim/*/libsim.a debian/tmp/usr/lib/; \
-	fi
-endif
+	  install -m 644 $(DEB_BUILDDIR)/sim/*/libsim.a debian/libgdb-dev/usr/lib/; \
+	fi
+
+binary-post-install/gdb-source ::
+	install -d debian/gdb-source/usr/src
+	mkdir -p $(BUILDDIRSOURCE)
+	tar --exclude build -cf - . | (cd $(BUILDDIRSOURCE) && tar -xf -)
+	cd $(BUILDDIRSOURCE) && debian/rules clean
+	cd $(dir $(BUILDDIRSOURCE)) \
+	  && tar -cjf $(shell pwd)/debian/gdb-source/usr/src/gdb.tar.bz2 \
+	     $(notdir $(BUILDDIRSOURCE))
 
 debian/control:: debian/control.in $(CROSS_FORCE)
 	cat debian/control.in \
 		| sed "s/@kfreebsd@/`type-handling any kfreebsd`/g" \
 		| sed "s/@gnu@/`type-handling any gnu`/g" \
 		| sed "s/@TS@/$(TS)/g" \
-		> debian/control
-ifeq ($(DEB_CROSS),yes)
-	sed -i "/Package: gdb64/,\$$ d" debian/control
-	cp debian/gdb.install debian/gdb$(TS).install
-endif
-
-DEB_INSTALL_DOCS_gdb$(TS) = gdb/NEWS gdb/README gdb/doc/refcard.tex \
-		objdir/gdb/doc/refcard.dvi objdir/gdb/doc/refcard.ps
-DEB_INSTALL_CHANGELOGS_gdb$(TS) = gdb/ChangeLog
-DEB_INSTALL_MANPAGES_gdb$(TS) = gdb/gdb.1
-ifneq ($(DEB_CROSS),yes)
-DEB_INSTALL_MANPAGES_gdb$(TS) += debian/gcore.1
-endif
-
-DEB_INSTALL_DOCS_libgdb-dev = gdb/NEWS gdb/README
-DEB_INSTALL_CHANGELOGS_libgdb-dev = gdb/ChangeLog
-
-.PHONY: FORCE
-FORCE:
